-- sp_user.sql
-- Hung En Tsai

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'sp_user_lookupById')
    BEGIN
        DROP Procedure sp_user_lookupById
    END
GO

-- sp_user_lookupById is a stored procedure that return user record base on
-- primary key
--
CREATE PROCEDURE sp_user_lookupById
(
    @user_id int
)
AS
    SELECT * FROM DB_User WHERE 
        UserId = @user_id

    RETURN 0
GO

GRANT EXEC ON sp_user_lookupById TO PUBLIC
GO

-- sp_user_lookupByLogin ----------------------------------------------------
--
IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'sp_user_lookupByLogin')
    BEGIN
        DROP Procedure sp_user_lookupByLogin
    END
GO

-- sp_user_lookupByLogin is a stored procedure that insert a user record
--
CREATE PROCEDURE sp_user_lookupByLogin
(
    @login char(254)
)
AS
    SELECT * FROM DB_User WHERE 
        Login = @login

    RETURN 0
GO

GRANT EXEC ON sp_user_lookupByLogin TO PUBLIC
GO



